const mockServer = []

function addCRPair (pair) {
  mockServer.push(pair)
}

function spawn (command, args) {
  return {
    stdout: {
      on: (event, callback) => {
        if (event !== 'data') throw new Error('Only "data" is supported')
        this.stdoutCallback = callback
        callback(JSON.stringify({ data: 'ready' }))
      }
    },
    stdin: {
      write: string => {
        if (!(typeof string === 'string')) {
          throw new Error('Expecting a string')
        }
        const resp = mockServer.find(cr => cr.input === string)
        if (!resp) {
          this.stdoutCallback(
            JSON.stringify({
              error: {
                string: 'Command not found',
                type: 'Error',
                filename: 'test1_worker.py',
                linenumber: '33'
              }
            })
          )
        } else {
          console.log()
          this.stdoutCallback(null, JSON.stringify({ options: resp.output }))
        }
      }
    },
    stderr: {
      on: (event, callback) => {
        if (event !== 'data') throw new Error('Only "data" is supported')
        this.stderrCallback = callback
      }
    },
    on: (event, callback) => {
      if (event !== 'close' && event !== 'error') {
        throw new Error('Only "close" and "error" are supported')
      }
      this.stderrCallback = callback
    },
    end: () => {},
    kill: signal => {}
  }
}

module.exports = { spawn, addCRPair }
