const now = new Date('1980-03-18T04:15:00')
const python_workers = [
  { name: 'test1_worker.py', mtime: now, size: 1234 },
  { name: 'test2_worker.py', mtime: now, size: 4321 }
]

function readdir (dirPath, callback) {
  if (dirPath.endsWith('python_workers')) {
    callback(null, python_workers.map(worker => worker.name))
  } else if (dirPath === '/') {
    callback(null, [])
  } else {
    callback(
      new Error(`ENOENT: no such file or directory, scandir '${dirPath}'`),
      null
    )
  }
}

function stat (filename, callback) {
  const file = python_workers.find(worker => filename.endsWith(worker.name))
  if (!file) {
    callback(
      new Error(`ENOENT: no such file or directory, scandir '${filename}'`),
      null
    )
  } else {
    const { filename, ...stats } = file
    callback(null, stats)
  }
}

module.exports = { readdir, stat }
