import json
import sys
import os

def handle_exception(error):
    exc_type, exc_obj, exc_tb = sys.exc_info()
    fname = os.path.split(exc_tb.tb_frame.f_code.co_filename)[1]
    return json.dumps({
        "error": {
          "string": str(error),
          "type": error.__class__.__name__,
          "fileName": fname,
          "lineNumber": exc_tb.tb_lineno
        }
    })
