function serializeError (error) {
  if (!(error instanceof Error)) {
    throw new Error(
      `Can only handle instances of "Error". Found instance of "${typeof error}"`
    )
  }
  return {
    error: JSON.stringify({
      name: error.name,
      message: error.message,
      stack: error.stack,
      filename: error.filename,
      lineNumber: error.lineNumber,
      columnNumber: error.columnNumber
    })
  }
}

module.exports = { serializeError }
