import Event from './Event'
import Comment from './Comment'
import Measurement from './Measurement'
import Setup from './Setup'

const MeasurementRun = props => {
  const {
    name, operators, location, temperature,
    startTime, endTime, log, comments,
    measurements, setup
  } = props.data
  return (
    <div>
      <h2>{name}</h2>
      <p>{operators.map(operator => operator.name).join(', ')}</p>
      <p>{location}</p>
      <p>{temperature}</p>
      <p>{startTime}</p>
      <p>{endTime}</p>
      <Setup setup={setup} />
      {log.map(event => <Event event={event} />)}
      {comments.map(comment => <Comment comment={comment} />)}
      {measurements.map(measurement => <Measurement measurement={measurement} />)}
    </div>
  )
}

export default MeasurementRun
