import { Mutation } from 'react-apollo'
import gql from 'graphql-tag'
import { CURRENT_USER } from './User'

const USER_LOGOUT = gql`
  mutation USER_LOGOUT {
    userLogout
  }
`

const UserLogout = props => (
  <Mutation
    mutation={USER_LOGOUT}
    refetchQueries={[{ query: CURRENT_USER }]}
  >
    {userLogout => <button onClick={userLogout}>Log out</button>}
  </Mutation>
)

export default UserLogout
