import Characterization from '../components/Characterization'
import CharacterizationForm from '../components/CharacterizationForm'

const MOCK_DATA = {
  name: 'DCDC Efficiency',
  projectVersion: {
    id: 'ashvkjhskrjhskfsvsfs',
    name: 'Production Tapeout',
    changes: ['DCDC removed', 'Logo changed'],
    date: Date.now(),
    project: {
      name: 'Jungfrau',
      abbreviation: 'JU_CSD',
      description: '9th generation GNSS receiver.',
      files: [{
        id: 'shkherskfjhslfg',
        name: 'Jungfrau Plan',
        description: 'Plan of Jungfrau',
        filename: 'jungfrau1.png',
        path: 'static/uploads/jungfrau1.png',
        mimetype: 'image/png',
        size: 518380
      }, {
        id: 'pxugssfnsdognudog',
        name: 'Jungfrau Picture',
        description: 'Picture of Jungfrau',
        filename: 'jungfrau2.jpg',
        path: 'static/uploads/jungfrau2.jpg',
        mimetype: 'image/jpeg',
        size: 79628
      }, {
        id: 'awqershdfkghlhfdlfkg',
        name: 'Jungfrau Text',
        description: 'Something written about Jungfrau',
        filename: '2016_juh_segmente_23_erlebnisberge_geschaftsmodell.pdf',
        path: 'static/uploads/2016_juh_segmente_23_erlebnisberge_geschaftsmodell.pdf',
        mimetype: 'application/pdf',
        size: 40330
      }],
      versions: [{ name: 'Production Tapeout' }, { name: 'MPW' }]
    }
  },
  measurementRuns: [{
    id: 'asdsdghwkerhkvbsdf',
    name: 'Temperature sweep with L=5nH',
    operators: [{
      name: 'Tomi'
    }],
    location: 'Thalwil',
    temperature: 24.5,
    startTime: Date.now(),
    endTime: Date.now(),
    log: [{
      id: 'vxglzhflkjhblkhzg',
      when: Date.now(),
      json: '{"Comment":{"text":"What a wonderful world","createdAt":2342543,"previousVersion":"dahfkhesrskhqe"}}'
    }, {
      id: 'qgdglgxlkhxlkb',
      when: Date.now(),
      json: '{"ConnectionCommand":{"writeString":"*IDN?"}}'
    }],
    comments: [{
      text: 'What a wonderful world',
      createdAt: 2342543,
      previousVersion: null
    }],
    measurements: [],
    setup: {
      id: 'jnerktnkfjgnksdf',
      name: 'DCDC Setup',
      description: 'JU characterization board',
      images: [],
      comments: [],
      setupHardware: [],
      instruments: []
    }
  }]
}

const CharacterizationPage = props => (
  <>
    <CharacterizationForm />
    <Characterization data={MOCK_DATA} />
  </>
)

export default CharacterizationPage
